package com.inforbooks.geociencia.p01;

import java.io.IOException;

import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class AyudaAct extends GeoCienciaAct {
    /** onCreate se ejecuta cuando se crea la actividad */
    
	private static final String TAG = "AyudaAct";
	
    @Override
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // se asigna el layout de la actividad
        setContentView(R.layout.ayuda); 
        
        // se obtiene el objeto TextView de la
    	// interfaz de la actividad
    	TextView txtAyuda = (TextView) findViewById(R.id.TextView_Ayuda);
    	
    	// se asigna el texto al control
    	// TextView
    	// se usa una funcin auxiliar
    	try {
    		txtAyuda.setText(leerArchivo(TAG, R.raw.ayuda));} 
    	catch (IOException e) {
		 // generar un mensaje de excepcin
		 Log.e(TAG, "excepcin al procesar archivo", e);
	    }
    }
}