package com.inforbooks.lectorxmlsettings;

import java.util.Date;
import java.text.SimpleDateFormat;

public class Noticia {

	  private Date date;
	  private String title;
	  private String description;
	  private String category;
	  private String author;
	  private String link;

	  public Date getDate() { return date; }
	  public String getTitle() { return title; }
	  public String getDescription() { return description; }
	  public String getCategory() { return category; }
	  public String getAuthor() { return author; }
	  public String getLink() { return link; }

	  public Noticia(Date _date, String _title, String _description, String _category, String _author, String _link) {
	    date = _date;
	    title = _title;
	    description = _description;
	    category = _category;
	    author = _author;
	    link = _link;
	  }

	  @Override
	  public String toString() {
	    SimpleDateFormat sdf = new SimpleDateFormat("HH.mm");
	    String dateString = sdf.format(date);
	    return dateString + ": " + title + ": " + description;
	  }

	}
