package com.inforbooks.testintents;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class TestIntentsResultsActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        // estamos atentos al clic del botn

        Button btn2= (Button) findViewById(R.id.button1);
        btn2.setOnClickListener(new View.OnClickListener() {
             	public void onClick(View vista) {
             		// se pasa el nombre de la actividad
             		// y un identificador que se utilizar
             		// en el retorno para saber de dnde 
             		// vienen esos datos
             		
             		// si se pasa un identificador -1
            		// no habr devolucin de resultados
            		// es decir, este metodo actuara igual
            		// que startActivity()
             		startActivityForResult(new Intent("com.inforbooks.testintents.actividadb"), 1);             		
             		
             	}
        }); 
        
        Button btn1= (Button) findViewById(R.id.button1);
        btn1.setOnClickListener(new View.OnClickListener() {
             	public void onClick(View vista) {             		
             		
             		Intent navegar = new Intent(android.content.Intent.ACTION_VIEW,
             				Uri.parse("geo:42.000000,2.000000"));
             		startActivity(navegar);
             	}
        }); 
        
        
     
        
     }
           	
    public void onActivityResult(int codActividad, int codResultado, Intent datos){
    	// procesa los datos de retorno de la actividad 
    	// invocada
    	if (codResultado == RESULT_OK) 
    		 Toast.makeText(this, 
    				 "La actividad con el identificador " + Integer.toString(codActividad) + 
    				 " enva estos datos " + datos.getData().toString(), Toast.LENGTH_SHORT).show();
    	else Toast.makeText(this, 
    			"Problema en la obtencin de datos desde otra actividad", Toast.LENGTH_SHORT).show();
    	
    }
}
        
   