package com.inforbooks.testintents;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;


public class ActividadB extends Activity{
	    /**OnCreate, se llama cuando la actividad se crea por 
	    * primera vez. */
		
	    @Override
	    public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	       
	        // aqu simplemente nos inventamos un dato de
	        // retorno a partir de un texto constante 
	        // pero el proceso puede ser todo lo
	        // complicado que sea necesario
	        
	        // el objeto Intent
	        Intent datos = new Intent();
	        
	        String dato = "--datos que se devuelven a la actividad que invoc--";
	        
	        // se asigna el resultado
	        // Uri.parse() Crea un Uri a partir de la cadena
	        // pasada como parmetro
	        datos.setData(Uri.parse(dato));
	        
	        // setResult() es un mtodo de la clase
	        // Activity para devolver datos a la actividad
	        // invocante
	        setResult(RESULT_OK, datos);
	        
	        // finaliza la actividad
	        // mtodo finish() de la clase Activity
	        finish();
	    }
}