package com.inforbooks.testserviciolocal;

import android.app.Activity;
import android.app.NotificationManager;
import android.os.Bundle;
import android.widget.TextView;

public class Notificador extends Activity{
	@Override
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.notificador);
		
		// se crea una instancia del objeto NotificationManager
		NotificationManager oNM = (NotificationManager) getSystemService(NOTIFICATION_SERVICE);
		
		// Texto largo que aparece en la notificacin
		// y que se recibe desde la aplicacin como dato
		// del objeto Intent
		TextView oTextView = (TextView) findViewById(R.id.textView1);
		
		// el texto se pasa dentro del intento
		oTextView.setText(getIntent().getExtras().getString("texto"));
		
		// el identificador de la notificacin sirve para 
		// eliminarla
		oNM.cancel(getIntent().getExtras().getInt("claveId"));
	}

}
