package com.inforbooks.testviews;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.RadioButton;
import android.widget.ToggleButton;

public class TestViewsActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
            
        // Eventos en CheckBox 1
        // checked -> negrita
        // unchecked -> normal (predeterminado)
        CheckBox objCB1 = (CheckBox) findViewById(R.id.checkBox1);
        objCB1.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				EditText objET = (EditText) findViewById(R.id.Edittext1);
				
			    Typeface objTf = Typeface.create("Arial", 0);
				if (((CheckBox)v).isChecked() ) 					
						objET.setTypeface(objTf,Typeface.BOLD);
                else
                	    objET.setTypeface(objTf,Typeface.NORMAL);
			}
	        
        });
        
       
        // Eventos en CheckBox 2
        // checked - > fondo amarillo
        // unchecked - > fondo blanco (predeterminado)
        CheckBox objCB2 = (CheckBox) findViewById(R.id.checkBox2);
        objCB2.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				EditText objET = (EditText) findViewById(R.id.Edittext1);

				if (((CheckBox)v).isChecked() ) 					
					objET.setBackgroundColor(Color.YELLOW);
                else
                	objET.setBackgroundColor(Color.WHITE);
			}
	        
        });
        
        
       // Eventos en RadioButton 0
       // checked -> color negro (predeterminado)
       RadioButton objRB0 = (RadioButton) findViewById(R.id.radio0);
       objRB0.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				EditText objET = (EditText) findViewById(R.id.Edittext1);
			    objET.setTextColor(Color.BLACK);               
			}	        
        });
       
        // Eventos en RadioButton 1
        // checked -> color rojo
        RadioButton objRB1 = (RadioButton) findViewById(R.id.radio1);
        objRB1.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				EditText objET = (EditText) findViewById(R.id.Edittext1);
			    objET.setTextColor(Color.RED);               
			}	        
        });  
        
        // Eventos en RadioButton 2
        // checked -> color verde
        RadioButton objRB2 = (RadioButton) findViewById(R.id.radio2);
        objRB2.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				EditText objET = (EditText) findViewById(R.id.Edittext1);
			    objET.setTextColor(Color.GREEN);               
			}	        
        });
        
       // Eventos en Button
       // restablece valor del estilo original 
       Button objBt1= (Button) findViewById(R.id.button1);
        objBt1.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				EditText objET = (EditText) findViewById(R.id.Edittext1);
			    objET.setTextColor(Color.BLACK);
			    Typeface objTf = Typeface.create("Arial", 0);
				objET.setTypeface(objTf,Typeface.NORMAL);
				objET.setBackgroundColor(Color.WHITE);
				
				// coloca las marcas predeterminadas
				CheckBox objCB1 = (CheckBox) findViewById(R.id.checkBox1);
				objCB1.setChecked(false);
				CheckBox objCB2 = (CheckBox) findViewById(R.id.checkBox1);
				objCB2.setChecked(false);
				RadioButton objRB0 = (RadioButton) findViewById(R.id.radio0);
				objRB0.setChecked(true);
				ToggleButton objTB1= (ToggleButton) findViewById(R.id.toggleButton1);
				objTB1.setChecked(true);
			    
			}	        
        });
        
        // Eventos en ToggleButton
        // checked - > permite edicin
        // unchecked -> bloquea cuadro de edicin
        ToggleButton objTB1= (ToggleButton) findViewById(R.id.toggleButton1);
        objTB1.setOnClickListener(new View.OnClickListener() {
 			
 			@Override
 			public void onClick(View v) {
 				
 				EditText objET = (EditText) findViewById(R.id.Edittext1);
 				if (((ToggleButton)v).isChecked())
 					objET.setEnabled(true); 
 				else
 					objET.setEnabled(false);
 			}	        
         });
        
        // Eventos en ImageButton
        // limpia texto
        ImageButton objIB1= (ImageButton) findViewById(R.id.imageButton1);
        objIB1.setOnClickListener(new View.OnClickListener() {
 			
 			@Override
 			public void onClick(View v) {
 				
 				EditText objET = (EditText) findViewById(R.id.Edittext1);
 			    objET.setText(""); 			    
 			}	        
         });
    }
}
