package com.inforbooks.paises2;


import android.app.Activity;
import android.content.res.Configuration;
import android.os.Bundle;
import android.widget.TextView;

public class DetallesActivity   extends Activity {
    /** Se llama al crearse la actividad. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_detalle);     

        // si se pasa al modo apaisado se autodestruye esta actividad
        // porque se pasar al modo maestro/detalle
        if (getResources().getConfiguration().orientation == 
                Configuration.ORIENTATION_LANDSCAPE) {
            finish();
            return;
        }

        // se recupera el parmetro pasado 
        // en el intento que invoc esta actividad
        String pais = getIntent().getStringExtra("pais");
        TextView view = (TextView) findViewById(R.id.txtPaisElegido);
        // aqu se deberan incluir detalles de
        // de acuerdo al pas seleccionado  
        view.setText("Detalle del Pas  " + pais + "...");
    }
}